Can't build expo app for android

#1

Hi, everyone.

Environment:
OS: Windows 10
Node: 8.11.2
Yarn: 1.7.0
npm: 6.1.0
Watchman: 4.9.4
Xcode: N/A
Android Studio: Not Found

Packages: (wanted => installed)
expo: ^29.0.0 => 29.0.0
react: 16.3.1 => 16.3.1
react-native: https://github.com/expo/react-native/archive/sdk-29.0.0.tar.gz => 0.55.4

Diagnostics report:
https://exp-xde-diagnostics.s3.amazonaws.com/dima11221122-bdd44bd8-4050-4763-9fc6-bb1d004ad8c3.tar.gz

I can’t build an android app using exp build:android command. Build failed on “running gradle” step with error
https://pastebin.com/rUK6JMhu. Could you help me. Yesterday the same app was built successfuly and today I’ve added some minor changes, which don’t relate to build system or native part.
Pastebin

#2

Hey @dima11221122,

As far as I know if you’re building for sdk29, you shouldn’t have any issues. Can you provide the build ID for the affected build? You can message it privately if you want.

Also, it looks like this may have just been a transient network error while fetching a java dependency. Have you tried building since then?

Cheers,

Adam

#3

I have same problem

closed #4

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.